#pragma once

#include "geometric_objects.h"

class flying_carpet : virtual public vehicle, virtual public flat_panel {
public:
	flying_carpet() : flat_panel("carpet.jpg") {
		size = glm::vec3(10, 1, 10);
	}

	void draw(glm::mat4 vp) override {
		flat_panel::draw(vp);
	}

	void vehicle_move() ;

	void activate(size_t index) override ;
};
